- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
DMXInputAttributesRec Struct Reference

`#include <dmxextension.h>`

## Data Fields
const char * | name
int | inputType
int | physicalScreen
int | physicalId
int | isCore
int | sendsCore
int | detached

## Detailed Description

Input attributes. Used by ProcDMXGetInputAttributes.

## Field Documentation

int DMXInputAttributesRec::detached

Referenced by dmxGetInputAttributes(), and ProcDMXGetInputAttributes().

int DMXInputAttributesRec::inputType

Referenced by dmxAddInput(), dmxGetInputAttributes(), dmxSetInputAttribute(), and ProcDMXGetInputAttributes().

int DMXInputAttributesRec::isCore

Referenced by dmxGetInputAttributes(), and ProcDMXGetInputAttributes().

const char* DMXInputAttributesRec::name

Referenced by dmxAddInput(), dmxGetInputAttributes(), ProcDMXAddInput(), and ProcDMXGetInputAttributes().

int DMXInputAttributesRec::physicalId

Referenced by dmxGetInputAttributes(), and ProcDMXGetInputAttributes().

int DMXInputAttributesRec::physicalScreen

Referenced by dmxAddInput(), dmxGetInputAttributes(), dmxSetInputAttribute(), and ProcDMXGetInputAttributes().

int DMXInputAttributesRec::sendsCore

Referenced by dmxAddInput(), dmxGetInputAttributes(), dmxSetInputAttribute(), and ProcDMXGetInputAttributes().

The documentation for this struct was generated from the following file:

- dmxextension.h